curl --request POST \
--url https://api.synctera.com/v2/cards/{card_id}/digital_wallet_tokens/applepay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"certificates": [
"<string>"
],
"nonce": "<string>",
"nonce_signature": "<string>",
"provisioning_app_version": "<string>"
}
'import requests
url = "https://api.synctera.com/v2/cards/{card_id}/digital_wallet_tokens/applepay"
payload = {
"certificates": ["<string>"],
"nonce": "<string>",
"nonce_signature": "<string>",
"provisioning_app_version": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
certificates: ['<string>'],
nonce: '<string>',
nonce_signature: '<string>',
provisioning_app_version: '<string>'
})
};
fetch('https://api.synctera.com/v2/cards/{card_id}/digital_wallet_tokens/applepay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activation_data": "<string>",
"card_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"creation_time": "2010-05-06T12:23:34.321Z",
"encrypted_pass_data": "<string>",
"ephemeral_public_key": "<string>",
"last_updated_time": "2010-05-06T12:23:34.321Z"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Create digital wallet token provision request for Apple Pay
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Path Parameters
The unique identifier of a card
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
Request to provision digital wallet card data to pass to Apple Pay digital wallet.
NB: Cannot be used outside of production.
Base64-encoded leaf and sub-CA certificates provided by Apple. The first element of the array should be the leaf certificate, followed by the sub-CA.
Array of Base64 encoded certificates from Apple.
The type of device into which the digital wallet token will be provisioned.
MOBILE_PHONE, WATCH, TABLET One-time-use nonce provided by Apple for security purposes.
Apple-provided signature to the nonce.
Version of the application making the provisioning request.
50Response
Digital wallet token provision request data
The unique identifier of a card
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
"2010-05-06T12:23:34.321Z"
"2010-05-06T12:23:34.321Z"
Was this page helpful?

